{% extends '@SyliusUi/Layout/sidebar.html.twig' %}

{% if configuration is defined %}
    {% set prefix = configuration.metadata.applicationName ~ '.' ~ configuration.section|default('admin') %}
{% endif %}

{% block title %}{% endblock %}

{% block stylesheets %}
    {{ encore_entry_link_tags('semantic', null, 'gaia-admin') }}
    {{ encore_entry_link_tags('main', null, 'gaia-admin') }}

    {% set events = ['gaia_admin.layout.stylesheets'] %}
    {% if prefix is defined %}
        {% set events = events|merge([prefix ~ '.layout.stylesheets']) %}
    {% endif %}
    {{ sylius_template_event(events) }}
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('admin', null, 'gaia-admin') }}

    {% set events = ['gaia_admin.layout.javascripts'] %}
    {% if prefix is defined %}
        {% set events = events|merge([prefix ~ '.layout.javascripts']) %}
    {% endif %}
    {{ sylius_template_event(events) }}
{% endblock %}

{% block flash_messages %}
    {% set events = ['gaia_admin.layout.flash_messages'] %}
    {% if prefix is defined %}
        {% set events = events|merge([prefix ~ '.layout.flash_messages']) %}
    {% endif %}
    {{ sylius_template_event(events) }}
{% endblock %}

{% block topbar %}
    {% set events = ['gaia_admin.layout.topbar_left'] %}
    {% if prefix is defined %}
        {% set events = events|merge([prefix ~ '.layout.topbar_left']) %}
    {% endif %}
    {{ sylius_template_event(events) }}

    <div class="ui left floated dividing empty item"></div>

    {% set events = ['gaia_admin.layout.topbar_middle'] %}
    {% if prefix is defined %}
        {% set events = events|merge([prefix ~ '.layout.topbar_middle']) %}
    {% endif %}
    {{ sylius_template_event(events) }}

    <div class="ui right floated dividing empty item"></div>

    {% set events = ['gaia_admin.layout.topbar_right'] %}
    {% if prefix is defined %}
        {% set events = events|merge([prefix ~ '.layout.topbar_right']) %}
    {% endif %}
    {{ sylius_template_event(events) }}
{% endblock %}

{% block sidebar %}
    {% set events = ['gaia_admin.layout.sidebar'] %}
    {% if prefix is defined %}
        {% set events = events|merge([prefix ~ '.layout.sidebar']) %}
    {% endif %}
    {{ sylius_template_event(events) }}
{% endblock %}
